using System;
using System.Data;
using ToolHelp;

namespace Vertex.AppKiller
{
    /// <summary>
    /// Looks for an instance of applications running on the same device and kills them
    /// </summary>
    class AppKiller
    {
        /// <summary>
        /// The main entry point for the application.
        /// 
        /// args is the list of applications to kill
        /// </summary>
        static void Main(string[] args)
        {
            if (args.Length > 0) 
            {
                foreach (string argument in args) 
                {
                    KillProcess(argument);
                }
            }
        }

        static void KillProcess(string targetProcessName)
        {
            foreach (Process process in Process.GetProcesses())
            {
                if (process.ProcessName == targetProcessName) 
                {
                    process.Kill();
                    return;  // Only one instance of a CF process allowed
                }
            }
        }
    }
}
